Skip to main content
PATCH
Update one article

Authorizations

Authorization
string
header
required

Authorization: Bearer gj_live_… (production) or gj_test_… (sandbox).

Headers

Idempotency-Key
string

Any unique string. Retrying with the same key within 24 h returns the first response without running the request again.

Maximum string length: 255

Path Parameters

pharmacy_id
string<uuid>
required

A pharmacy your key acts for (see GET /me).

pharmacy_sku
string
required
Required string length: 1 - 64

Body

application/json
name
string
Maximum string length: 200
available
boolean
stock_grams
number
Required range: x >= 0
price_cents
integer
Required range: x >= 1
min_order_grams
integer
Required range: x >= 1
order_increment
integer
Required range: x >= 1

Response

What happened to the article

pharmacy_sku
string
required
status
enum<string>
required

updated: applied. unmapped: GO JOE has not mapped this number yet; stored and shown to GO JOE's team. kept_off: stock and price applied, but GO JOE's team has the product off sale.

Available options:
updated,
unmapped,
kept_off
warnings
object[]
required
product_id
string<uuid> | null
prices_applied
boolean